exec/quorum.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | quorum_callin_functions
| The quorum_callin_functions struct. More...

## Typedefs

typedef void(* | quorum_callback_fn_t) (int quorate, void *context)
typedef void(* | quorum_set_quorate_fn_t) (const unsigned int *view_list, size_t view_list_entries, int quorate, struct memb_ring_id *)

## Functions

int | corosync_quorum_is_quorate (void)
int | corosync_quorum_register_callback (quorum_callback_fn_t fn, void *context)
int | corosync_quorum_unregister_callback (quorum_callback_fn_t fn, void *context)
int | corosync_quorum_initialize (struct quorum_callin_functions *fns)
int | quorum_none (void)

## Typedef Documentation

## quorum_callback_fn_t

typedef void(* quorum_callback_fn_t) (int quorate, void *context)

Definition at line 40 of file exec/quorum.h.

## quorum_set_quorate_fn_t

typedef void(* quorum_set_quorate_fn_t) (const unsigned int *view_list, size_t view_list_entries, int quorate, struct memb_ring_id *)

Definition at line 42 of file exec/quorum.h.

## Function Documentation

## corosync_quorum_initialize()

int corosync_quorum_initialize | ( | struct quorum_callin_functions * | fns | ) |

Definition at line 95 of file exec/quorum.c.

## corosync_quorum_is_quorate()

int corosync_quorum_is_quorate | ( | void |  | ) |

Definition at line 65 of file exec/quorum.c.

## corosync_quorum_register_callback()

int corosync_quorum_register_callback | ( | quorum_callback_fn_t | fn,
|  | void * | context
| ) |  |

Definition at line 75 of file exec/quorum.c.

## corosync_quorum_unregister_callback()

int corosync_quorum_unregister_callback | ( | quorum_callback_fn_t | fn,
|  | void * | context
| ) |  |

Definition at line 85 of file exec/quorum.c.

## quorum_none()

int quorum_none | ( | void |  | ) |

Definition at line 104 of file exec/quorum.c.